// out: css-regions.css, sourcemap: false, compress: false

 .pages-loop-concours (@i) when (@i <= 50) {
   .content-loop (@j) when (@j <= 2) {
    #concours section:nth-of-type(@{i}) .content@{j}{
      flow-into: ~"contentFlow@{i}_@{j}";
    }
    #concours section:nth-of-type(@{i}) .bleed@{j} .structure {
      flow-from: ~"contentFlow@{i}_@{j}";
    }
    .content-loop(@j + 1);
  }
  .content-loop(0);
  .pages-loop-concours(@i + 1);
}

.pages-loop-concours(0);

.pages-loop-expos (@i) when (@i <= 30) {
  #expositions .part@{i} .header{
    flow-into: ~"myStory@{i}2";
  }
  #expositions .part@{i} .structure .headerTo{
    flow-from: ~"myStory@{i}2";
  }
  #expositions .part@{i} .text > *{
    flow-into: ~"myStory@{i}";
  }
  #expositions .part@{i} .structure .textTo{
    flow-from: ~"myStory@{i}";
  }
  .pages-loop-expos(@i + 1);
}

.pages-loop-expos(1);

#expositions img{
  break-before: always;
}

#expositions h6,
#expositions .column{
  break-before: always !important;
  break-after: always !important;
  img{
    break-before: avoid;
  }
}

#expositions h6.fullMe{
  break-after: avoid !important;
}
#expositions .column{
  break-before: avoid !important;
}

#expositions #part1061 .bleed9 h6{ // Picasso
  break-before: avoid !important;
}

#expositions #part1043{ // Malouin
  .bleed5{
    h6{
      break-after: avoid !important;
    }
  }
  .columnEn{
      break-before: avoid !important;
    }
}

#expositions #part1044{ // Niebling
  .column{
    break-before: avoid !important;
    break-after: avoid !important;
  }
}

#expositions.article .header{
  flow-into: ~"myStory2";
}
#expositions.article .structure .headerTo{
  flow-from: ~"myStory2";
}

#expositions.article .text > *{
  flow-into: ~"myStory";
}
#expositions.article .structure .textTo{
  flow-from: ~"myStory";
}

#expositions .part0 .content0,
#ouverture .content0{
  flow-into: ~"myStoryOuverture2";
}

#expositions .part0 .bleed0 .structure,
#ouverture .bleed0 .structure{
  flow-from: ~"myStoryOuverture2";
}
#expositions .part0 .content1,
#ouverture .content1{
  flow-into: ~"myStoryOuverture";
}
#expositions .part0 .bleed1 .structure,
#ouverture .bleed1 .structure{
  flow-from: ~"myStoryOuverture";
}

#remerciements .content1 .text{
  flow-into: ~"myStory";
}

#remerciements .pageRight .textTo{
  flow-from: ~"myStory";
}

#remerciements .content0{
  flow-into: ~"myStoryRight";
}

#remerciements .pageLeft .structure{
  flow-from: ~"myStoryRight";
}

#remerciements pre{
  break-after: always;
}
